﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace ProgressBarAdv
{
    public partial class Form1 : MetroForm
    {
        public Form1()
        {
            InitializeComponent();
            this.comboBoxAdv1.SelectedIndex = 0;
            this.timer1.Tick += new EventHandler(timer1_Tick);
        }
        bool Start;
        
        void timer1_Tick(object sender, EventArgs e)
        {
            if (Start)
            {
                if (this.progressBarAdv1.Value < 100)
                    this.progressBarAdv1.Value++;
                else
                    progressBarAdv1.Value = 0;
            }
        }

        private void comboBoxAdv1_SelectedIndexChanging(object sender, Syncfusion.Windows.Forms.Tools.SelectedIndexChangingArgs e)
        {
            switch (comboBoxAdv1.SelectedIndex)
            {
                case 0:
                    //To draw the ProgressBar with constant foreground color
                    this.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Constant;
                    break;
                case 1:
                    //To draw the ProgressBar with Gradient brush
                    this.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Gradient;
                    break;
                case 2:
                    //To draw the ProgressBar with multiple gradient brush
                    this.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.MultipleGradient;
                    break;
                case 3:
                   //To draw the ProgressBar with vertical tube-like gradient brush
                    this.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Tube;
                    break;
                case 4:
                    //To draw the ProgressBar with image
                    this.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Image;
                    break;
                case 5:
                    //To draw the ProgressBar with System color
                    this.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.System;
                    break;
                case 6:
                    //To draw the ProgressBar with a moving gradient line.
                    this.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.WaitingGradient;
                    break;
                case 7:
                    //To draw the ProgressBar with Metro style
                    this.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Metro;
                    break;
            }
            
        }

        private void buttonAdv1_Click(object sender, EventArgs e)
        {
            Start = true;
        }

        private void buttonAdv2_Click(object sender, EventArgs e)
        {
            Start = false;
        }       
    }
}
